<?php


function uli_super_cache_cleaner_clear_cache() {
    $cache_dir = WP_CONTENT_DIR . '/cache/';
    $max_size_mb = get_option('uli_super_cache_cleaner_max_size', '50'); // Tamaño máximo en MB

    if (uli_super_cache_cleaner_cache_size($cache_dir) > $max_size_mb * 1024 * 1024) {
        if (function_exists('wp_cache_clear_cache')) {
            wp_cache_clear_cache();
            error_log('Caché de WP Super Cache limpiado porque excedió ' . $max_size_mb . ' MB: ' . date('Y-m-d H:i:s'));
        }
    }
}

// Función para calcular el tamaño del directorio de caché
function uli_super_cache_cleaner_cache_size($dir) {
    $size = 0;

    foreach (new RecursiveIteratorIterator(new RecursiveDirectoryIterator($dir)) as $file) {
        $size += $file->getSize();
    }

    return $size;
}

