<?php
/**
* Plugin Name: Uli Super Cache Cleaner
* Plugin URI:        https://www.pluginalia.com/
* Description: Plugin para autolimpiar la caché de WP Super Cache.
* Version: 1.0.0
* Author: UlisesFreitas
* Author URI:        https://www.ulisesfreitas.com
* License:           GPL-2.0+
* License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
* Text Domain:       uli-super-cache-cleaner
*/

// Incluir archivos
include_once plugin_dir_path(__FILE__) . 'includes/clean-cache.php';
include_once plugin_dir_path(__FILE__) . 'admin/options-page.php';

// Registrar tareas programadas
function uli_super_cache_cleaner_activation() {
    if (!wp_next_scheduled('wp_uli_cleaner_cache')) {
        wp_schedule_event(time(), 'custom_interval', 'wp_uli_cleaner_cache');
    }
}
register_activation_hook(__FILE__, 'uli_super_cache_cleaner_activation');

function uli_super_cache_cleaner_deactivation() {
    wp_clear_scheduled_hook('wp_uli_cleaner_cache');
}
register_deactivation_hook(__FILE__, 'uli_super_cache_cleaner_deactivation');

// Añadir la acción de limpiar la caché
add_action('wp_uli_cleaner_cache', 'uli_super_cache_cleaner_clear_cache');

// Añadir enlace a la página de configuración
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'uli_super_cache_cleaner_action_links');

function uli_super_cache_cleaner_action_links($links) {
    $settings_link = '<a href="options-general.php?page=uli-super-cache-cleaner">' . __('Settings', 'textdomain') . '</a>';
    array_unshift($links, $settings_link);
    return $links;
}
